Index: channels/chan_gtalk.c
===================================================================
--- channels/chan_gtalk.c	(revision 54001)
+++ channels/chan_gtalk.c	(working copy)
@@ -273,12 +273,15 @@
 			if (!strcasecmp(iterator->name, "guest")) {
 				if (!strcasecmp(iterator->connection->jid->partial, connection)) {
 					gtalk = iterator;
+					ASTOBJ_UNLOCK(iterator);
 					break;
 				} else if (!strcasecmp(iterator->connection->name, connection)) {
 					gtalk = iterator;
+					ASTOBJ_UNLOCK(iterator);
 					break;
 				} else if (iterator->connection->component && !strcasecmp(iterator->connection->user,domain)) {
 					gtalk = iterator;
+					ASTOBJ_UNLOCK(iterator);
 					break;
 				}
 			}
@@ -1536,7 +1539,8 @@
 		gtalk_add_candidate(client, pak);
 		if (option_debug > 2)
 			ast_log(LOG_DEBUG, "Candidate Added!\n");
-	} else if (iks_find_with_attrib(pak->x, "session", "type", "accept")) {
+	} else if (iks_find_with_attrib(pak->x, "session", "type", "accept") ||
+		   iks_find_with_attrib(pak->x, "session", "type", "transport-accept")) {
 		gtalk_is_answered(client, pak);
 	} else if (iks_find_with_attrib(pak->x, "session", "type", "content-info")) {
 		gtalk_handle_dtmf(client, pak);
